Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2244263002: Ensure window border icons repaint when DWM is enabled (Closed)

Created:
1 year, 3 months ago by elawrence
Modified:
1 year, 3 months ago
Reviewers:
msw, ananta, *sky
CC:
chromium-reviews, tfarina
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Ensure window border icons repaint when DWM is enabled When the user movers the cursor over the minimize/maximize/close buttons, DWM paints them in a hover state. If the user subsequently moves the cursor out of the window, DWM was not repainting the icons with the unhovered state because Chrome ate the WM_NCMOUSELEAVE message.This change notifies DWM of the exit. BUG=637114 TEST=Unmaximize Chrome. Hover Red-X at top right. Fling mouse upward. R=sky@chromium.org Committed: https://crrev.com/7af2fc83ecab219d9d2902db766ab0d2ba4dabf1 Cr-Commit-Position: refs/heads/master@{#412541}

Patch Set 1 #

Patch Set 2 : Correct parameters when passing WM_NCMouseLeave to DwmDefaultWndProc #

Total comments: 5

Patch Set 3 : Address review feedback #

Total comments: 2

Patch Set 4 : Add two braces to strategic brace reserve #

Messages

Total messages: 22 (11 generated)
elawrence
Please have a look and let me know if I'm horribly off base :)
1 year, 3 months ago (2016-08-15 15:43:03 UTC) #4
sky
+ananta and +msw for subtle windows behavior. This seems right to me. Anyone think we ...
1 year, 3 months ago (2016-08-15 16:17:13 UTC) #6
elawrence
https://codereview.chromium.org/2244263002/diff/20001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2244263002/diff/20001/ui/views/win/hwnd_message_handler.cc#newcode2644 ui/views/win/hwnd_message_handler.cc:2644: if (HasSystemFrame()) { On 2016/08/15 16:17:13, sky wrote: > ...
1 year, 3 months ago (2016-08-15 16:31:14 UTC) #7
msw
Nice fix for this longstanding issue! lgtm with a q. https://codereview.chromium.org/2244263002/diff/20001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2244263002/diff/20001/ui/views/win/hwnd_message_handler.cc#newcode2644 ...
1 year, 3 months ago (2016-08-15 18:57:35 UTC) #8
elawrence
> https://codereview.chromium.org/2244263002/diff/20001/ui/views/win/hwnd_message_handler.cc#newcode2646 > ui/views/win/hwnd_message_handler.cc:2646: DwmDefWindowProc(hwnd(), > WM_NCMOUSELEAVE, 0, 0, &result); > nit q: I wonder ...
1 year, 3 months ago (2016-08-15 20:03:29 UTC) #9
sky
LGTM https://codereview.chromium.org/2244263002/diff/40001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2244263002/diff/40001/ui/views/win/hwnd_message_handler.cc#newcode2644 ui/views/win/hwnd_message_handler.cc:2644: if (HasSystemFrame()) { no {}
1 year, 3 months ago (2016-08-15 22:03:50 UTC) #10
elawrence
https://codereview.chromium.org/2244263002/diff/20001/ui/views/win/hwnd_message_handler.cc File ui/views/win/hwnd_message_handler.cc (right): https://codereview.chromium.org/2244263002/diff/20001/ui/views/win/hwnd_message_handler.cc#newcode2646 ui/views/win/hwnd_message_handler.cc:2646: DwmDefWindowProc(hwnd(), WM_NCMOUSELEAVE, 0, 0, &result); On 2016/08/15 18:57:35, msw ...
1 year, 3 months ago (2016-08-16 16:00:49 UTC) #11
elawrence
I'm going to move forward and commit. ananta-- Please holler if you see a problem ...
1 year, 3 months ago (2016-08-17 15:05:50 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2244263002/60001
1 year, 3 months ago (2016-08-17 15:54:59 UTC) #19
commit-bot: I haz the power
Committed patchset #4 (id:60001)
1 year, 3 months ago (2016-08-17 15:59:56 UTC) #20
commit-bot: I haz the power
1 year, 3 months ago (2016-08-17 16:02:49 UTC) #22
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/7af2fc83ecab219d9d2902db766ab0d2ba4dabf1
Cr-Commit-Position: refs/heads/master@{#412541}

Powered by Google App Engine
This is Rietveld efc10ee0f